Index: /LMDZ6/branches/Amaury_dev/libf/dyn3d/abort_gcm.F90
===================================================================
--- /LMDZ6/branches/Amaury_dev/libf/dyn3d/abort_gcm.F90	(revision 5115)
+++ /LMDZ6/branches/Amaury_dev/libf/dyn3d/abort_gcm.F90	(revision 5116)
@@ -19,9 +19,9 @@
   !     ierr    = severity of situation ( = 0 normal )
 
-  character(len = *), intent(in) :: modname
+  CHARACTER(LEN = *), intent(in) :: modname
   integer, intent(in) :: ierr
-  character(len = *), intent(in) :: message
+  CHARACTER(LEN = *), intent(in) :: message
 
-  write(lunout, *) 'in abort_gcm'
+  WRITE(lunout, *) 'in abort_gcm'
 
   IF (using_xios) THEN
@@ -33,11 +33,11 @@
   CALL restclo
   CALL getin_dump
-  write(lunout, *) 'Stopping in ', modname
-  write(lunout, *) 'Reason = ', message
-  if (ierr == 0) then
-    write(lunout, *) 'Everything is cool'
+  WRITE(lunout, *) 'Stopping in ', modname
+  WRITE(lunout, *) 'Reason = ', message
+  if (ierr == 0) THEN
+    WRITE(lunout, *) 'Everything is cool'
     stop
   else
-    write(lunout, *) 'Houston, we have a problem, ierr = ', ierr
+    WRITE(lunout, *) 'Houston, we have a problem, ierr = ', ierr
     stop 1
   endif
Index: /LMDZ6/branches/Amaury_dev/libf/dyn3d/addfi.F90
===================================================================
--- /LMDZ6/branches/Amaury_dev/libf/dyn3d/addfi.F90	(revision 5115)
+++ /LMDZ6/branches/Amaury_dev/libf/dyn3d/addfi.F90	(revision 5116)
@@ -119,5 +119,5 @@
   ENDDO
 
-  if (planet_type=="earth") then
+  if (planet_type=="earth") THEN
     ! earth case, special treatment for first 2 tracers (water)
     DO iq = 1, 2
Index: /LMDZ6/branches/Amaury_dev/libf/dyn3d/advtrac.f90
===================================================================
--- /LMDZ6/branches/Amaury_dev/libf/dyn3d/advtrac.f90	(revision 5115)
+++ /LMDZ6/branches/Amaury_dev/libf/dyn3d/advtrac.f90	(revision 5116)
@@ -15,4 +15,5 @@
   USE strings_mod, ONLY: int2str
   USE lmdz_description, ONLY: descript
+  USE lmdz_libmath, ONLY: minmax
 
   IMPLICIT NONE
@@ -49,5 +50,4 @@
   REAL, DIMENSION(ip1jmp1, llm) :: pbaruc, pbarug, massem, wg
   REAL, DIMENSION(ip1jm, llm) :: pbarvc, pbarvg
-  EXTERNAL  minmax
   SAVE massem, pbaruc, pbarvc
   !---------------------------------------------------------------------------
@@ -129,5 +129,5 @@
   ! Calcul des criteres CFL en X, Y et Z
   !-------------------------------------------------------------------------
-  IF(countcfl == 0.) then
+  IF(countcfl == 0.) THEN
     cflxmax(:) = 0.
     cflymax(:) = 0.
@@ -141,5 +141,5 @@
   DO l = 1, llm
     DO ij = iip2, ip1jm - 1
-      IF(pbarug(ij, l)>=0.) then
+      IF(pbarug(ij, l)>=0.) THEN
         cflx(ij, l) = pbarug(ij, l) * dtvr / masse(ij, l)
       ELSE
@@ -157,5 +157,5 @@
   DO l = 1, llm
     DO ij = 1, ip1jm
-      IF(pbarvg(ij, l)>=0.) then
+      IF(pbarvg(ij, l)>=0.) THEN
         cfly(ij, l) = pbarvg(ij, l) * dtvr / masse(ij, l)
       ELSE
@@ -184,7 +184,7 @@
   ! Par defaut, on sort le diagnostic des CFL tous les jours.
   ! Si on veut le sortir a chaque pas d'advection en cas de plantage
-  !       IF(countcfl==iapp_tracvl) then
+  !       IF(countcfl==iapp_tracvl) THEN
   !!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!
-  IF(countcfl==day_step) then
+  IF(countcfl==day_step) THEN
     DO l = 1, llm
       WRITE(lunout, *) 'L, CFL[xyz]max:', l, cflxmax(l), cflymax(l), cflzmax(l)
Index: /LMDZ6/branches/Amaury_dev/libf/dyn3d/bilan_dyn.F90
===================================================================
--- /LMDZ6/branches/Amaury_dev/libf/dyn3d/bilan_dyn.F90	(revision 5115)
+++ /LMDZ6/branches/Amaury_dev/libf/dyn3d/bilan_dyn.F90	(revision 5116)
@@ -36,24 +36,24 @@
   !   ===========
 
-  integer :: ntrac
-  real :: dt_app, dt_cum
-  real :: ps(iip1, jjp1)
-  real :: masse(iip1, jjp1, llm), pk(iip1, jjp1, llm)
-  real :: flux_u(iip1, jjp1, llm)
-  real :: flux_v(iip1, jjm, llm)
-  real :: teta(iip1, jjp1, llm)
-  real :: phi(iip1, jjp1, llm)
-  real :: ucov(iip1, jjp1, llm)
-  real :: vcov(iip1, jjm, llm)
-  real :: trac(iip1, jjp1, llm, ntrac)
+  INTEGER :: ntrac
+  REAL :: dt_app, dt_cum
+  REAL :: ps(iip1, jjp1)
+  REAL :: masse(iip1, jjp1, llm), pk(iip1, jjp1, llm)
+  REAL :: flux_u(iip1, jjp1, llm)
+  REAL :: flux_v(iip1, jjm, llm)
+  REAL :: teta(iip1, jjp1, llm)
+  REAL :: phi(iip1, jjp1, llm)
+  REAL :: ucov(iip1, jjp1, llm)
+  REAL :: vcov(iip1, jjm, llm)
+  REAL :: trac(iip1, jjp1, llm, ntrac)
 
   !   Local :
   !   =======
 
-  integer :: icum, ncum
+  INTEGER :: icum, ncum
   logical :: first
-  real :: zz, zqy, zfactv(jjm, llm)
-
-  integer :: nQ
+  REAL :: zz, zqy, zfactv(jjm, llm)
+
+  INTEGER :: nQ
   parameter (nQ = 7)
 
@@ -64,10 +64,10 @@
   character*6, save :: unites(nQ)
 
-  character(len = 10) :: file
-  integer :: ifile
+  CHARACTER(LEN = 10) :: file
+  INTEGER :: ifile
   parameter (ifile = 4)
 
-  integer :: itemp, igeop, iecin, iang, iu, iovap, iun
-  integer :: i_sortie
+  INTEGER :: itemp, igeop, iecin, iang, iu, iovap, iun
+  INTEGER :: i_sortie
 
   save first, icum, ncum
@@ -75,6 +75,6 @@
   save i_sortie
 
-  real :: time
-  integer :: itau
+  REAL :: time
+  INTEGER :: itau
   save time, itau
   data time, itau/0., 0/
@@ -84,5 +84,5 @@
   data i_sortie/1/
 
-  real :: ww
+  REAL :: ww
 
   !   variables dynamiques intermédiaires
@@ -95,16 +95,16 @@
 
   !   champ contenant les scalaires advectés.
-  real :: Q(iip1, jjp1, llm, nQ)
+  REAL :: Q(iip1, jjp1, llm, nQ)
 
   !   champs cumulés
-  real :: ps_cum(iip1, jjp1)
-  real :: masse_cum(iip1, jjp1, llm)
-  real :: flux_u_cum(iip1, jjp1, llm)
-  real :: flux_v_cum(iip1, jjm, llm)
-  real :: Q_cum(iip1, jjp1, llm, nQ)
-  real :: flux_uQ_cum(iip1, jjp1, llm, nQ)
-  real :: flux_vQ_cum(iip1, jjm, llm, nQ)
-  real :: flux_wQ_cum(iip1, jjp1, llm, nQ)
-  real :: dQ(iip1, jjp1, llm, nQ)
+  REAL :: ps_cum(iip1, jjp1)
+  REAL :: masse_cum(iip1, jjp1, llm)
+  REAL :: flux_u_cum(iip1, jjp1, llm)
+  REAL :: flux_v_cum(iip1, jjm, llm)
+  REAL :: Q_cum(iip1, jjp1, llm, nQ)
+  REAL :: flux_uQ_cum(iip1, jjp1, llm, nQ)
+  REAL :: flux_vQ_cum(iip1, jjm, llm, nQ)
+  REAL :: flux_wQ_cum(iip1, jjp1, llm, nQ)
+  REAL :: dQ(iip1, jjp1, llm, nQ)
 
   save ps_cum, masse_cum, flux_u_cum, flux_v_cum
@@ -112,5 +112,5 @@
 
   !   champs de tansport en moyenne zonale
-  integer :: ntr, itr
+  INTEGER :: ntr, itr
   parameter (ntr = 5)
 
@@ -122,16 +122,16 @@
   character*10, save :: zunites(ntr, nQ)
 
-  integer :: iave, itot, immc, itrs, istn
+  INTEGER :: iave, itot, immc, itrs, istn
   data iave, itot, immc, itrs, istn/1, 2, 3, 4, 5/
-  character(len = 3) :: ctrs(ntr)
+  CHARACTER(LEN = 3) :: ctrs(ntr)
   data ctrs/'  ', 'TOT', 'MMC', 'TRS', 'STN'/
 
-  real :: zvQ(jjm, llm, ntr, nQ), zvQtmp(jjm, llm)
-  real :: zavQ(jjm, ntr, nQ), psiQ(jjm, llm + 1, nQ)
-  real :: zmasse(jjm, llm), zamasse(jjm)
-
-  real :: zv(jjm, llm), psi(jjm, llm + 1)
-
-  integer :: i, j, l, iQ
+  REAL :: zvQ(jjm, llm, ntr, nQ), zvQtmp(jjm, llm)
+  REAL :: zavQ(jjm, ntr, nQ), psiQ(jjm, llm + 1, nQ)
+  REAL :: zmasse(jjm, llm), zamasse(jjm)
+
+  REAL :: zv(jjm, llm), psi(jjm, llm + 1)
+
+  INTEGER :: i, j, l, iQ
 
 
@@ -139,22 +139,22 @@
   !   ---------------------------------------------------------
 
-  character(len = 10) :: infile
-
-  integer :: fileid
-  integer :: thoriid, zvertiid
+  CHARACTER(LEN = 10) :: infile
+
+  INTEGER :: fileid
+  INTEGER :: thoriid, zvertiid
   save fileid
 
-  integer :: ndex3d(jjm * llm)
+  INTEGER :: ndex3d(jjm * llm)
 
   !   Variables locales
   !
-  integer :: tau0
-  real :: zjulian
-  character(len = 3) :: str
-  character(len = 10) :: ctrac
-  integer :: ii, jj
-  integer :: zan, dayref
-  !
-  real :: rlong(jjm), rlatg(jjm)
+  INTEGER :: tau0
+  REAL :: zjulian
+  CHARACTER(LEN = 3) :: str
+  CHARACTER(LEN = 10) :: ctrac
+  INTEGER :: ii, jj
+  INTEGER :: zan, dayref
+  !
+  REAL :: rlong(jjm), rlatg(jjm)
 
 
@@ -169,6 +169,5 @@
   ndex3d = 0
 
-  if (first) then
-
+  if (first) THEN
     icum = 0
     ! initialisation des fichiers
@@ -176,5 +175,5 @@
     !   ncum est la frequence de stokage en pas de temps
     ncum = dt_cum / dt_app
-    if (abs(ncum * dt_app - dt_cum)>1.e-5 * dt_app) then
+    if (abs(ncum * dt_app - dt_cum)>1.e-5 * dt_app) THEN
       WRITE(lunout, *) &
               'Pb : le pas de cumule doit etre multiple du pas'
@@ -184,5 +183,5 @@
     endif
 
-    if (i_sortie==1) then
+    if (i_sortie==1) THEN
       file = 'dynzon'
       CALL inigrads(ifile, 1 &
@@ -235,5 +234,5 @@
     do iQ = 1, nQ
       do itr = 1, ntr
-        if(itr==1) then
+        IF(itr==1) THEN
           znom(itr, iQ) = nom(iQ)
           znoml(itr, iQ) = nom(iQ)
@@ -327,5 +326,5 @@
   !=====================================================================
   !
-  if(icum==0) then
+  IF(icum==0) THEN
     ps_cum = 0.
     masse_cum = 0.
@@ -408,5 +407,5 @@
   !   PAS DE TEMPS D'ECRITURE
   !=====================================================================
-  if (icum==ncum) then
+  if (icum==ncum) THEN
     !=====================================================================
 
@@ -529,5 +528,5 @@
     ! PRINT*,'4OK'
     !   sorties proprement dites
-    if (i_sortie==1) then
+    if (i_sortie==1) THEN
       do iQ = 1, nQ
         do itr = 1, ntr
Index: /LMDZ6/branches/Amaury_dev/libf/dyn3d/caladvtrac.F90
===================================================================
--- /LMDZ6/branches/Amaury_dev/libf/dyn3d/caladvtrac.F90	(revision 5115)
+++ /LMDZ6/branches/Amaury_dev/libf/dyn3d/caladvtrac.F90	(revision 5116)
@@ -30,5 +30,5 @@
   REAL :: pbaru(ip1jmp1, llm), pbarv(ip1jm, llm), masse(ip1jmp1, llm)
   REAL :: p(ip1jmp1, llmp1), q(ip1jmp1, llm, nqtot)
-  real :: dq(ip1jmp1, llm, nqtot)
+  REAL :: dq(ip1jmp1, llm, nqtot)
   REAL :: teta(ip1jmp1, llm), pk(ip1jmp1, llm)
   REAL :: flxw(ip1jmp1, llm)
@@ -50,5 +50,5 @@
   !
   ! Earth-specific stuff for the first 2 tracers (water)
-  if (planet_type=="earth") then
+  if (planet_type=="earth") THEN
     ! initialisation
     ! CRisi: il faut gérer tous les traceurs si on veut pouvoir faire des
@@ -70,5 +70,5 @@
 
   IF(iapptrac==iapp_tracvl) THEN
-    if (planet_type=="earth") then
+    if (planet_type=="earth") THEN
       ! Earth-specific treatment for the first 2 tracers (water)
       !
@@ -84,7 +84,7 @@
       ENDDO
 
-      !write(*,*) 'caladvtrac 87'
+      !WRITE(*,*) 'caladvtrac 87'
       CALL qminimum(q, nqtot, finmasse)
-      !write(*,*) 'caladvtrac 89'
+      !WRITE(*,*) 'caladvtrac 89'
 
       CALL SCOPY   (ip1jmp1 * llm, masse, 1, finmasse, 1)
@@ -107,5 +107,5 @@
     endif ! of if (planet_type.eq."earth")
   ELSE
-    if (planet_type=="earth") then
+    if (planet_type=="earth") THEN
       ! Earth-specific treatment for the first 2 tracers (water)
       dq(:, :, 1:nqtot) = 0.
Index: /LMDZ6/branches/Amaury_dev/libf/dyn3d/check_isotopes.F90
===================================================================
--- /LMDZ6/branches/Amaury_dev/libf/dyn3d/check_isotopes.F90	(revision 5115)
+++ /LMDZ6/branches/Amaury_dev/libf/dyn3d/check_isotopes.F90	(revision 5116)
@@ -35,5 +35,5 @@
       iso_O17 = strIdx(isoName,'H217O')
       iso_HTO = strIdx(isoName,'HTO')
-      if (tnat1) then
+      if (tnat1) THEN
               tnat(:)=1.0
       else
Index: /LMDZ6/branches/Amaury_dev/libf/dyn3d/conf_gcm.f90
===================================================================
--- /LMDZ6/branches/Amaury_dev/libf/dyn3d/conf_gcm.f90	(revision 5115)
+++ /LMDZ6/branches/Amaury_dev/libf/dyn3d/conf_gcm.f90	(revision 5116)
@@ -6,5 +6,5 @@
   use IOIPSL
   USE infotrac, ONLY: type_trac
-  use lmdz_assert, only: assert
+  use lmdz_assert, ONLY: assert
   USE comconst_mod, ONLY: dissip_deltaz, dissip_factz, dissip_zref, &
           iflag_top_bound, mode_top_bound, tau_top_bound, &
@@ -414,5 +414,5 @@
 
     IF(ABS(clat - clatt)>= 0.001)  THEN
-      write(lunout, *)'conf_gcm: La valeur de clat passee par run.def', &
+      WRITE(lunout, *)'conf_gcm: La valeur de clat passee par run.def', &
               ' est differente de celle lue sur le fichier  start '
       CALL abort_gcm("conf_gcm", "stopped", 1)
@@ -428,5 +428,5 @@
 
     IF(ABS(grossismx - grossismxx)>= 0.001)  THEN
-      write(lunout, *)'conf_gcm: La valeur de grossismx passee par ', &
+      WRITE(lunout, *)'conf_gcm: La valeur de grossismx passee par ', &
               'run.def est differente de celle lue sur le fichier  start '
       CALL abort_gcm("conf_gcm", "stopped", 1)
@@ -442,5 +442,5 @@
 
     IF(ABS(grossismy - grossismyy)>= 0.001)  THEN
-      write(lunout, *)'conf_gcm: La valeur de grossismy passee par ', &
+      WRITE(lunout, *)'conf_gcm: La valeur de grossismy passee par ', &
               'run.def est differente de celle lue sur le fichier  start '
       CALL abort_gcm("conf_gcm", "stopped", 1)
@@ -448,5 +448,5 @@
 
     IF(grossismx<1.)  THEN
-      write(lunout, *) &
+      WRITE(lunout, *) &
               'conf_gcm: ***  ATTENTION !! grossismx < 1 .   *** '
       CALL abort_gcm("conf_gcm", "stopped", 1)
@@ -456,5 +456,5 @@
 
     IF(grossismy<1.)  THEN
-      write(lunout, *) &
+      WRITE(lunout, *) &
               'conf_gcm: ***  ATTENTION !! grossismy < 1 .   *** '
       CALL abort_gcm("conf_gcm", "stopped", 1)
@@ -463,5 +463,5 @@
     ENDIF
 
-    write(lunout, *)'conf_gcm: alphax alphay', alphax, alphay
+    WRITE(lunout, *)'conf_gcm: alphax alphay', alphax, alphay
 
     !    alphax et alphay sont les anciennes formulat. des grossissements
@@ -477,6 +477,6 @@
     IF(.NOT.fxyhypb)  THEN
       IF(fxyhypbb)     THEN
-        write(lunout, *)' ********  PBS DANS  CONF_GCM  ******** '
-        write(lunout, *)' *** fxyhypb lu sur le fichier start est ', &
+        WRITE(lunout, *)' ********  PBS DANS  CONF_GCM  ******** '
+        WRITE(lunout, *)' *** fxyhypb lu sur le fichier start est ', &
                 'F alors  qu il est  T  sur  run.def  ***'
         CALL abort_gcm("conf_gcm", "stopped", 1)
@@ -484,6 +484,6 @@
     ELSE
       IF(.NOT.fxyhypbb)   THEN
-        write(lunout, *)' ********  PBS DANS  CONF_GCM  ******** '
-        write(lunout, *)' ***  fxyhypb lu sur le fichier start est ', &
+        WRITE(lunout, *)' ********  PBS DANS  CONF_GCM  ******** '
+        WRITE(lunout, *)' ***  fxyhypb lu sur le fichier start est ', &
                 'T alors  qu il est  F  sur  run.def  ****  '
         CALL abort_gcm("conf_gcm", "stopped", 1)
@@ -501,5 +501,5 @@
     IF(fxyhypb)  THEN
       IF(ABS(dzoomx - dzoomxx)>= 0.001)  THEN
-        write(lunout, *)'conf_gcm: La valeur de dzoomx passee par ', &
+        WRITE(lunout, *)'conf_gcm: La valeur de dzoomx passee par ', &
                 'run.def est differente de celle lue sur le fichier  start '
         CALL abort_gcm("conf_gcm", "stopped", 1)
@@ -517,5 +517,5 @@
     IF(fxyhypb)  THEN
       IF(ABS(dzoomy - dzoomyy)>= 0.001)  THEN
-        write(lunout, *)'conf_gcm: La valeur de dzoomy passee par ', &
+        WRITE(lunout, *)'conf_gcm: La valeur de dzoomy passee par ', &
                 'run.def est differente de celle lue sur le fichier  start '
         CALL abort_gcm("conf_gcm", "stopped", 1)
@@ -532,5 +532,5 @@
     IF(fxyhypb)  THEN
       IF(ABS(taux - tauxx)>= 0.001)  THEN
-        write(lunout, *)'conf_gcm: La valeur de taux passee par ', &
+        WRITE(lunout, *)'conf_gcm: La valeur de taux passee par ', &
                 'run.def est differente de celle lue sur le fichier  start '
         CALL abort_gcm("conf_gcm", "stopped", 1)
@@ -547,5 +547,5 @@
     IF(fxyhypb)  THEN
       IF(ABS(tauy - tauyy)>= 0.001)  THEN
-        write(lunout, *)'conf_gcm: La valeur de tauy passee par ', &
+        WRITE(lunout, *)'conf_gcm: La valeur de tauy passee par ', &
                 'run.def est differente de celle lue sur le fichier  start '
         CALL abort_gcm("conf_gcm", "stopped", 1)
@@ -567,6 +567,6 @@
       IF(.NOT.ysinus)  THEN
         IF(ysinuss)     THEN
-          write(lunout, *)' ********  PBS DANS  CONF_GCM  ******** '
-          write(lunout, *)' *** ysinus lu sur le fichier start est F', &
+          WRITE(lunout, *)' ********  PBS DANS  CONF_GCM  ******** '
+          WRITE(lunout, *)' *** ysinus lu sur le fichier start est F', &
                   ' alors  qu il est  T  sur  run.def  ***'
           CALL abort_gcm("conf_gcm", "stopped", 1)
@@ -574,6 +574,6 @@
       ELSE
         IF(.NOT.ysinuss)   THEN
-          write(lunout, *)' ********  PBS DANS  CONF_GCM  ******** '
-          write(lunout, *)' *** ysinus lu sur le fichier start est T', &
+          WRITE(lunout, *)' ********  PBS DANS  CONF_GCM  ******** '
+          WRITE(lunout, *)' *** ysinus lu sur le fichier start est T', &
                   ' alors  qu il est  F  sur  run.def  ****  '
           CALL abort_gcm("conf_gcm", "stopped", 1)
@@ -634,46 +634,46 @@
     CALL getin('ok_dyn_ave', ok_dyn_ave)
 
-    write(lunout, *)' #########################################'
-    write(lunout, *)' Configuration des parametres du gcm: '
-    write(lunout, *)' planet_type = ', planet_type
-    write(lunout, *)' calend = ', calend
-    write(lunout, *)' dayref = ', dayref
-    write(lunout, *)' anneeref = ', anneeref
-    write(lunout, *)' nday = ', nday
-    write(lunout, *)' day_step = ', day_step
-    write(lunout, *)' iperiod = ', iperiod
-    write(lunout, *)' nsplit_phys = ', nsplit_phys
-    write(lunout, *)' iconser = ', iconser
-    write(lunout, *)' iecri = ', iecri
-    write(lunout, *)' periodav = ', periodav
-    write(lunout, *)' output_grads_dyn = ', output_grads_dyn
-    write(lunout, *)' dissip_period = ', dissip_period
-    write(lunout, *)' lstardis = ', lstardis
-    write(lunout, *)' nitergdiv = ', nitergdiv
-    write(lunout, *)' nitergrot = ', nitergrot
-    write(lunout, *)' niterh = ', niterh
-    write(lunout, *)' tetagdiv = ', tetagdiv
-    write(lunout, *)' tetagrot = ', tetagrot
-    write(lunout, *)' tetatemp = ', tetatemp
-    write(lunout, *)' coefdis = ', coefdis
-    write(lunout, *)' purmats = ', purmats
-    write(lunout, *)' read_start = ', read_start
-    write(lunout, *)' iflag_phys = ', iflag_phys
-    write(lunout, *)' iphysiq = ', iphysiq
-    write(lunout, *)' clonn = ', clonn
-    write(lunout, *)' clatt = ', clatt
-    write(lunout, *)' grossismx = ', grossismx
-    write(lunout, *)' grossismy = ', grossismy
-    write(lunout, *)' fxyhypbb = ', fxyhypbb
-    write(lunout, *)' dzoomxx = ', dzoomxx
-    write(lunout, *)' dzoomy = ', dzoomyy
-    write(lunout, *)' tauxx = ', tauxx
-    write(lunout, *)' tauyy = ', tauyy
-    write(lunout, *)' offline = ', offline
-    write(lunout, *)' type_trac = ', type_trac
-    write(lunout, *)' ok_dynzon = ', ok_dynzon
-    write(lunout, *)' ok_dyn_ins = ', ok_dyn_ins
-    write(lunout, *)' ok_dyn_ave = ', ok_dyn_ave
-    write(lunout, *)' adv_qsat_liq = ', adv_qsat_liq
+    WRITE(lunout, *)' #########################################'
+    WRITE(lunout, *)' Configuration des parametres du gcm: '
+    WRITE(lunout, *)' planet_type = ', planet_type
+    WRITE(lunout, *)' calend = ', calend
+    WRITE(lunout, *)' dayref = ', dayref
+    WRITE(lunout, *)' anneeref = ', anneeref
+    WRITE(lunout, *)' nday = ', nday
+    WRITE(lunout, *)' day_step = ', day_step
+    WRITE(lunout, *)' iperiod = ', iperiod
+    WRITE(lunout, *)' nsplit_phys = ', nsplit_phys
+    WRITE(lunout, *)' iconser = ', iconser
+    WRITE(lunout, *)' iecri = ', iecri
+    WRITE(lunout, *)' periodav = ', periodav
+    WRITE(lunout, *)' output_grads_dyn = ', output_grads_dyn
+    WRITE(lunout, *)' dissip_period = ', dissip_period
+    WRITE(lunout, *)' lstardis = ', lstardis
+    WRITE(lunout, *)' nitergdiv = ', nitergdiv
+    WRITE(lunout, *)' nitergrot = ', nitergrot
+    WRITE(lunout, *)' niterh = ', niterh
+    WRITE(lunout, *)' tetagdiv = ', tetagdiv
+    WRITE(lunout, *)' tetagrot = ', tetagrot
+    WRITE(lunout, *)' tetatemp = ', tetatemp
+    WRITE(lunout, *)' coefdis = ', coefdis
+    WRITE(lunout, *)' purmats = ', purmats
+    WRITE(lunout, *)' read_start = ', read_start
+    WRITE(lunout, *)' iflag_phys = ', iflag_phys
+    WRITE(lunout, *)' iphysiq = ', iphysiq
+    WRITE(lunout, *)' clonn = ', clonn
+    WRITE(lunout, *)' clatt = ', clatt
+    WRITE(lunout, *)' grossismx = ', grossismx
+    WRITE(lunout, *)' grossismy = ', grossismy
+    WRITE(lunout, *)' fxyhypbb = ', fxyhypbb
+    WRITE(lunout, *)' dzoomxx = ', dzoomxx
+    WRITE(lunout, *)' dzoomy = ', dzoomyy
+    WRITE(lunout, *)' tauxx = ', tauxx
+    WRITE(lunout, *)' tauyy = ', tauyy
+    WRITE(lunout, *)' offline = ', offline
+    WRITE(lunout, *)' type_trac = ', type_trac
+    WRITE(lunout, *)' ok_dynzon = ', ok_dynzon
+    WRITE(lunout, *)' ok_dyn_ins = ', ok_dyn_ins
+    WRITE(lunout, *)' ok_dyn_ave = ', ok_dyn_ave
+    WRITE(lunout, *)' adv_qsat_liq = ', adv_qsat_liq
   ELSE
     !Config  Key  = clon
@@ -710,5 +710,5 @@
 
     IF(grossismx<1.)  THEN
-      write(lunout, *) &
+      WRITE(lunout, *) &
               'conf_gcm: ***  ATTENTION !! grossismx < 1 .   *** '
       CALL abort_gcm("conf_gcm", "stopped", 1)
@@ -718,5 +718,5 @@
 
     IF(grossismy<1.)  THEN
-      write(lunout, *) 'conf_gcm: ***ATTENTION !! grossismy < 1 . *** '
+      WRITE(lunout, *) 'conf_gcm: ***ATTENTION !! grossismy < 1 . *** '
       CALL abort_gcm("conf_gcm", "stopped", 1)
     ELSE
@@ -724,5 +724,5 @@
     ENDIF
 
-    write(lunout, *)'conf_gcm: alphax alphay ', alphax, alphay
+    WRITE(lunout, *)'conf_gcm: alphax alphay ', alphax, alphay
 
     !    alphax et alphay sont les anciennes formulat. des grossissements
@@ -865,50 +865,50 @@
     CALL getin('read_orop', read_orop)
 
-    write(lunout, *)' #########################################'
-    write(lunout, *)' Configuration des parametres de cel0_limit: '
-    write(lunout, *)' planet_type = ', planet_type
-    write(lunout, *)' calend = ', calend
-    write(lunout, *)' dayref = ', dayref
-    write(lunout, *)' anneeref = ', anneeref
-    write(lunout, *)' nday = ', nday
-    write(lunout, *)' day_step = ', day_step
-    write(lunout, *)' iperiod = ', iperiod
-    write(lunout, *)' iconser = ', iconser
-    write(lunout, *)' iecri = ', iecri
-    write(lunout, *)' periodav = ', periodav
-    write(lunout, *)' output_grads_dyn = ', output_grads_dyn
-    write(lunout, *)' dissip_period = ', dissip_period
-    write(lunout, *)' lstardis = ', lstardis
-    write(lunout, *)' nitergdiv = ', nitergdiv
-    write(lunout, *)' nitergrot = ', nitergrot
-    write(lunout, *)' niterh = ', niterh
-    write(lunout, *)' tetagdiv = ', tetagdiv
-    write(lunout, *)' tetagrot = ', tetagrot
-    write(lunout, *)' tetatemp = ', tetatemp
-    write(lunout, *)' coefdis = ', coefdis
-    write(lunout, *)' purmats = ', purmats
-    write(lunout, *)' read_start = ', read_start
-    write(lunout, *)' iflag_phys = ', iflag_phys
-    write(lunout, *)' iphysiq = ', iphysiq
-    write(lunout, *)' clon = ', clon
-    write(lunout, *)' clat = ', clat
-    write(lunout, *)' grossismx = ', grossismx
-    write(lunout, *)' grossismy = ', grossismy
-    write(lunout, *)' fxyhypb = ', fxyhypb
-    write(lunout, *)' dzoomx = ', dzoomx
-    write(lunout, *)' dzoomy = ', dzoomy
-    write(lunout, *)' taux = ', taux
-    write(lunout, *)' tauy = ', tauy
-    write(lunout, *)' offline = ', offline
-    write(lunout, *)' type_trac = ', type_trac
-    write(lunout, *)' ok_dynzon = ', ok_dynzon
-    write(lunout, *)' ok_dyn_ins = ', ok_dyn_ins
-    write(lunout, *)' ok_dyn_ave = ', ok_dyn_ave
-    write(lunout, *)' ok_strato = ', ok_strato
-    write(lunout, *)' ok_gradsfile = ', ok_gradsfile
-    write(lunout, *)' ok_limit = ', ok_limit
-    write(lunout, *)' ok_etat0 = ', ok_etat0
-    write(lunout, *)' ok_guide = ', ok_guide
-    write(lunout, *)' read_orop = ', read_orop
+    WRITE(lunout, *)' #########################################'
+    WRITE(lunout, *)' Configuration des parametres de cel0_limit: '
+    WRITE(lunout, *)' planet_type = ', planet_type
+    WRITE(lunout, *)' calend = ', calend
+    WRITE(lunout, *)' dayref = ', dayref
+    WRITE(lunout, *)' anneeref = ', anneeref
+    WRITE(lunout, *)' nday = ', nday
+    WRITE(lunout, *)' day_step = ', day_step
+    WRITE(lunout, *)' iperiod = ', iperiod
+    WRITE(lunout, *)' iconser = ', iconser
+    WRITE(lunout, *)' iecri = ', iecri
+    WRITE(lunout, *)' periodav = ', periodav
+    WRITE(lunout, *)' output_grads_dyn = ', output_grads_dyn
+    WRITE(lunout, *)' dissip_period = ', dissip_period
+    WRITE(lunout, *)' lstardis = ', lstardis
+    WRITE(lunout, *)' nitergdiv = ', nitergdiv
+    WRITE(lunout, *)' nitergrot = ', nitergrot
+    WRITE(lunout, *)' niterh = ', niterh
+    WRITE(lunout, *)' tetagdiv = ', tetagdiv
+    WRITE(lunout, *)' tetagrot = ', tetagrot
+    WRITE(lunout, *)' tetatemp = ', tetatemp
+    WRITE(lunout, *)' coefdis = ', coefdis
+    WRITE(lunout, *)' purmats = ', purmats
+    WRITE(lunout, *)' read_start = ', read_start
+    WRITE(lunout, *)' iflag_phys = ', iflag_phys
+    WRITE(lunout, *)' iphysiq = ', iphysiq
+    WRITE(lunout, *)' clon = ', clon
+    WRITE(lunout, *)' clat = ', clat
+    WRITE(lunout, *)' grossismx = ', grossismx
+    WRITE(lunout, *)' grossismy = ', grossismy
+    WRITE(lunout, *)' fxyhypb = ', fxyhypb
+    WRITE(lunout, *)' dzoomx = ', dzoomx
+    WRITE(lunout, *)' dzoomy = ', dzoomy
+    WRITE(lunout, *)' taux = ', taux
+    WRITE(lunout, *)' tauy = ', tauy
+    WRITE(lunout, *)' offline = ', offline
+    WRITE(lunout, *)' type_trac = ', type_trac
+    WRITE(lunout, *)' ok_dynzon = ', ok_dynzon
+    WRITE(lunout, *)' ok_dyn_ins = ', ok_dyn_ins
+    WRITE(lunout, *)' ok_dyn_ave = ', ok_dyn_ave
+    WRITE(lunout, *)' ok_strato = ', ok_strato
+    WRITE(lunout, *)' ok_gradsfile = ', ok_gradsfile
+    WRITE(lunout, *)' ok_limit = ', ok_limit
+    WRITE(lunout, *)' ok_etat0 = ', ok_etat0
+    WRITE(lunout, *)' ok_guide = ', ok_guide
+    WRITE(lunout, *)' read_orop = ', read_orop
   ENDIF test_etatinit
 
Index: /LMDZ6/branches/Amaury_dev/libf/dyn3d/dynetat0.F90
===================================================================
--- /LMDZ6/branches/Amaury_dev/libf/dyn3d/dynetat0.F90	(revision 5115)
+++ /LMDZ6/branches/Amaury_dev/libf/dyn3d/dynetat0.F90	(revision 5116)
@@ -157,8 +157,8 @@
       iqParent = tracers(iq)%iqParent
       IF(tracers(iq)%iso_iZone == 0) THEN
-         if (tnat1) then
+         if (tnat1) THEN
                  tnat=1.0
                  alpha_ideal=1.0
-                 write(*,*) 'attention dans dynetat0: les alpha_ideal sont a 1'
+                 WRITE(*,*) 'attention dans dynetat0: les alpha_ideal sont a 1'
          else
           IF(getKey('tnat', tnat, isoName(iName)) .OR. getKey('alpha', alpha_ideal, isoName(iName))) &
Index: /LMDZ6/branches/Amaury_dev/libf/dyn3d/fluxstokenc.F90
===================================================================
--- /LMDZ6/branches/Amaury_dev/libf/dyn3d/fluxstokenc.F90	(revision 5115)
+++ /LMDZ6/branches/Amaury_dev/libf/dyn3d/fluxstokenc.F90	(revision 5116)
@@ -31,9 +31,9 @@
 
   REAL :: pbarvst(iip1, jjp1, llm), zistdyn
-  real :: dtcum
+  REAL :: dtcum
 
   INTEGER :: iadvtr, ndex(1)
-  integer :: nscal
-  real :: tst(1), ist(1), istp(1)
+  INTEGER :: nscal
+  REAL :: tst(1), ist(1), istp(1)
   INTEGER :: ij, l, irec, i, j, itau
   INTEGER, SAVE :: fluxid, fluxvid, fluxdid
@@ -52,6 +52,5 @@
   wg(:, :) = 0.
 
-  if(first) then
-
+  IF(first) THEN
     CALL initfluxsto('fluxstoke', &
             time_step, istdyn * time_step, istdyn * time_step, &
@@ -134,5 +133,5 @@
 
     iadvtr = 0
-    write(lunout, *)'ITAU auquel on stoke les fluxmasses', itau
+    WRITE(lunout, *)'ITAU auquel on stoke les fluxmasses', itau
 
     CALL histwrite(fluxid, 'masse', itau, massem, &
Index: /LMDZ6/branches/Amaury_dev/libf/dyn3d/friction.F90
===================================================================
--- /LMDZ6/branches/Amaury_dev/libf/dyn3d/friction.F90	(revision 5115)
+++ /LMDZ6/branches/Amaury_dev/libf/dyn3d/friction.F90	(revision 5116)
@@ -47,7 +47,7 @@
     ! set friction type
     CALL getin("friction_type", friction_type)
-    if ((friction_type<0).or.(friction_type>1)) then
+    if ((friction_type<0).or.(friction_type>1)) THEN
       abort_message = "wrong friction type"
-      write(lunout, *)'Friction: wrong friction type', friction_type
+      WRITE(lunout, *)'Friction: wrong friction type', friction_type
       CALL abort_gcm(modname, abort_message, 42)
     endif
@@ -55,5 +55,5 @@
   ENDIF
 
-  if (friction_type==0) then
+  if (friction_type==0) THEN
     !   calcul des composantes au carre du vent naturel
     do j = 1, jjp1
@@ -118,5 +118,5 @@
   endif ! of if (friction_type.eq.0)
 
-  if (friction_type==1) then
+  if (friction_type==1) THEN
     do l = 1, llm
       ucov(:, :, l) = ucov(:, :, l) * (1. - pdt * kfrict(l))
